NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::WeldCut2 Features::ShipDesign::WeldCut2@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateWeldCut2Builder Features::ShipCollection::CreateWeldCut2Builder @endlink <br>
Default values. More...
Public Types | |
enum | CreationMethod { CreationMethodCorner, CreationMethodAlongGuide, CreationMethodSpecifyCSYS } |
Creation method used to define the placement of the weld cut. More... | |
Public Member Functions | |
NXOpen::CoordinateSystem * | CoordinateSystem () |
Returns the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method. | |
NXOpen::Point * | CornerPoint () |
Returns the corner point as weld location. | |
NXOpen::SelectFace * | CornerTargetFace () |
Returns the corner target face. | |
NXOpen::SelectFace * | CSYSTargetFace () |
Returns the csys target face. | |
NXOpen::SelectFace * | CurveTargetFace () |
Returns the curve target face. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::SelectTaggedObject * | GuideCurve () |
Returns the guide curve to position the weld cut. | |
NXOpen::Features::ShipDesign::WeldCut2Builder::CreationMethod | PlacementType () |
Returns the method used to define the placement of the weld cut Created in NX8.0.1. | |
void | SetCoordinateSystem (NXOpen::CoordinateSystem *coordinateSystem) |
Sets the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method. | |
void | SetCornerPoint (NXOpen::Point *weldLocation) |
Sets the corner point as weld location. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::WeldCut2Builder::CreationMethod placementType) |
Sets the method used to define the placement of the weld cut Created in NX8.0.1. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | Spreadsheet () |
Returns the spreadsheet builder. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::WeldCut2 Features::ShipDesign::WeldCut2@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateWeldCut2Builder Features::ShipCollection::CreateWeldCut2Builder @endlink <br>
Default values.
Property | Value |
---|---|
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
Created in NX8.0.1.
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::WeldCut2Builder::CoordinateSystem | ( | ) |
Returns the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method.
Created in NX8.0.1.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::WeldCut2Builder::CornerPoint | ( | ) |
Returns the corner point as weld location.
The weld location is only used for the Corner placement method.
Created in NX8.0.1.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::ShipDesign::WeldCut2Builder::CornerTargetFace | ( | ) |
Returns the corner target face.
This corner target face is only used for the Corner placement method.
Created in NX8.0.1.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::ShipDesign::WeldCut2Builder::CSYSTargetFace | ( | ) |
Returns the csys target face.
This csys target face is only used for the SpecifyCSYS placement method.
Created in NX8.0.1.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::ShipDesign::WeldCut2Builder::CurveTargetFace | ( | ) |
Returns the curve target face.
This curve target face is only used for the AlongGuide placement method.
Created in NX8.0.1.
License requirements : None
double NXOpen::Features::ShipDesign::WeldCut2Builder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX8.0.1.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::WeldCut2Builder::GuideCurve | ( | ) |
Returns the guide curve to position the weld cut.
The select guide curve is only used for the AlongGuide placement method.
Created in NX8.0.1.
License requirements : None
NXOpen::Features::ShipDesign::WeldCut2Builder::CreationMethod NXOpen::Features::ShipDesign::WeldCut2Builder::PlacementType | ( | ) |
Returns the method used to define the placement of the weld cut
Created in NX8.0.1.
License requirements : None
void NXOpen::Features::ShipDesign::WeldCut2Builder::SetCoordinateSystem | ( | NXOpen::CoordinateSystem * | coordinateSystem | ) |
Sets the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method.
Created in NX8.0.1.
License requirements : nx_ship_detail ("Ship Detail Design")
coordinateSystem | coordinatesystem |
void NXOpen::Features::ShipDesign::WeldCut2Builder::SetCornerPoint | ( | NXOpen::Point * | weldLocation | ) |
Sets the corner point as weld location.
The weld location is only used for the Corner placement method.
Created in NX8.0.1.
License requirements : nx_ship_detail ("Ship Detail Design")
weldLocation | weldlocation |
void NXOpen::Features::ShipDesign::WeldCut2Builder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX8.0.1.
License requirements : nx_ship_detail ("Ship Detail Design")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::WeldCut2Builder::SetPlacementType | ( | NXOpen::Features::ShipDesign::WeldCut2Builder::CreationMethod | placementType | ) |
Sets the method used to define the placement of the weld cut
Created in NX8.0.1.
License requirements : nx_ship_detail ("Ship Detail Design")
placementType | placementtype |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::WeldCut2Builder::Spreadsheet | ( | ) |
Returns the spreadsheet builder.
<br> Users can specify the Weldout using a single sketch. The sketch type and its parameters are controlled by the @link Features::ShipDesign::SteelFeatureSpreadsheetBuilder Features::ShipDesign::SteelFeatureSpreadsheetBuilder@endlink . <br>
Created in NX8.0.1.
License requirements : None